.NET

Reply
*Dale Levesque
Message 1 of 5 (122 Views)

vla-GetInterfaceObject

122 Views, 4 Replies
12-14-2005 08:42 AM
I'm trying to call a method in my VS2005 DLL. It was working perfectly fine
until I had to format my drive and reinstall AutoCAD and Visual Studio 2005.
Nothing inside the code in either my Visual Lisp project or the DLL code.

Now, it fails on the vla-GetInterfaceObject call. Is there something I
forgot to install? I used to have VS2003 installed alongside VS2005 when
everything was working but i didn't bother reinstalling it.

Dale


Lisp code:

((member m_type bfld_mods)
(vl-load-com)
(setq $acad (vlax-get-acad-object))
(setq vbstrcls (vla-GetInterfaceObject $acad
"Elevations.BiFolds"))
(setq out (vlax-invoke-method
vbstrcls
"DrawBiFold"
$acad
fname
sc
(car mod_ins)
(cadr mod_ins)
(- unitID 1)
(gp:list->variantArray dim_list)
) ;_ end of vlax-invoke-method
) ;_ end of setq
out
)
*Dale Levesque
Message 2 of 5 (122 Views)

Re: vla-GetInterfaceObject

12-14-2005 08:52 AM in reply to: *Dale Levesque
For some reason the 'Register for COM Interop" checkbox was a solid color
rather than displaying the usual check box. After clicking it a few times it
displayed the check box. Now the world is a happy place to be again.

Thanks anyway,

Dale

"Dale Levesque" wrote in message
news:5037793@discussion.autodesk.com...
I'm trying to call a method in my VS2005 DLL. It was working perfectly fine
until I had to format my drive and reinstall AutoCAD and Visual Studio 2005.
Nothing inside the code in either my Visual Lisp project or the DLL code.

Now, it fails on the vla-GetInterfaceObject call. Is there something I
forgot to install? I used to have VS2003 installed alongside VS2005 when
everything was working but i didn't bother reinstalling it.

Dale


Lisp code:

((member m_type bfld_mods)
(vl-load-com)
(setq $acad (vlax-get-acad-object))
(setq vbstrcls (vla-GetInterfaceObject $acad
"Elevations.BiFolds"))
(setq out (vlax-invoke-method
vbstrcls
"DrawBiFold"
$acad
fname
sc
(car mod_ins)
(cadr mod_ins)
(- unitID 1)
(gp:list->variantArray dim_list)
) ;_ end of vlax-invoke-method
) ;_ end of setq
out
)
*Bobby C. Jones
Message 3 of 5 (122 Views)

Re: vla-GetInterfaceObject

12-14-2005 08:52 AM in reply to: *Dale Levesque
Did you register your assembly?
--
Bobby C. Jones
http://www.acadx.com

"Dale Levesque" wrote in message
news:5037793@discussion.autodesk.com...
I'm trying to call a method in my VS2005 DLL. It was working perfectly fine
until I had to format my drive and reinstall AutoCAD and Visual Studio 2005.
Nothing inside the code in either my Visual Lisp project or the DLL code.

Now, it fails on the vla-GetInterfaceObject call. Is there something I
forgot to install? I used to have VS2003 installed alongside VS2005 when
everything was working but i didn't bother reinstalling it.

Dale


Lisp code:

((member m_type bfld_mods)
(vl-load-com)
(setq $acad (vlax-get-acad-object))
(setq vbstrcls (vla-GetInterfaceObject $acad
"Elevations.BiFolds"))
(setq out (vlax-invoke-method
vbstrcls
"DrawBiFold"
$acad
fname
sc
(car mod_ins)
(cadr mod_ins)
(- unitID 1)
(gp:list->variantArray dim_list)
) ;_ end of vlax-invoke-method
) ;_ end of setq
out
)
*Dale Levesque
Message 4 of 5 (122 Views)

Re: vla-GetInterfaceObject

12-14-2005 09:02 AM in reply to: *Dale Levesque
Hi Bobby. I'm actually using the "Start external program' method to run
AutoCAD so the assembly gets registered automatically (I'm assuming).

Dale



"Bobby C. Jones" wrote in message
news:5037801@discussion.autodesk.com...
Did you register your assembly?
--
Bobby C. Jones
http://www.acadx.com

"Dale Levesque" wrote in message
news:5037793@discussion.autodesk.com...
I'm trying to call a method in my VS2005 DLL. It was working perfectly fine
until I had to format my drive and reinstall AutoCAD and Visual Studio 2005.
Nothing inside the code in either my Visual Lisp project or the DLL code.

Now, it fails on the vla-GetInterfaceObject call. Is there something I
forgot to install? I used to have VS2003 installed alongside VS2005 when
everything was working but i didn't bother reinstalling it.

Dale


Lisp code:

((member m_type bfld_mods)
(vl-load-com)
(setq $acad (vlax-get-acad-object))
(setq vbstrcls (vla-GetInterfaceObject $acad
"Elevations.BiFolds"))
(setq out (vlax-invoke-method
vbstrcls
"DrawBiFold"
$acad
fname
sc
(car mod_ins)
(cadr mod_ins)
(- unitID 1)
(gp:list->variantArray dim_list)
) ;_ end of vlax-invoke-method
) ;_ end of setq
out
)
*Bobby C. Jones
Message 5 of 5 (122 Views)

Re: vla-GetInterfaceObject

12-14-2005 09:08 AM in reply to: *Dale Levesque
Not unless you tell VS to do so. Which from your other post looks like you
have :-)
--
Bobby C. Jones
http://www.acadx.com

"Dale Levesque" wrote in message
news:5037836@discussion.autodesk.com...
Hi Bobby. I'm actually using the "Start external program' method to run
AutoCAD so the assembly gets registered automatically (I'm assuming).

Dale



"Bobby C. Jones" wrote in message
news:5037801@discussion.autodesk.com...
Did you register your assembly?
--
Bobby C. Jones
http://www.acadx.com

"Dale Levesque" wrote in message
news:5037793@discussion.autodesk.com...
I'm trying to call a method in my VS2005 DLL. It was working perfectly fine
until I had to format my drive and reinstall AutoCAD and Visual Studio 2005.
Nothing inside the code in either my Visual Lisp project or the DLL code.

Now, it fails on the vla-GetInterfaceObject call. Is there something I
forgot to install? I used to have VS2003 installed alongside VS2005 when
everything was working but i didn't bother reinstalling it.

Dale


Lisp code:

((member m_type bfld_mods)
(vl-load-com)
(setq $acad (vlax-get-acad-object))
(setq vbstrcls (vla-GetInterfaceObject $acad
"Elevations.BiFolds"))
(setq out (vlax-invoke-method
vbstrcls
"DrawBiFold"
$acad
fname
sc
(car mod_ins)
(cadr mod_ins)
(- unitID 1)
(gp:list->variantArray dim_list)
) ;_ end of vlax-invoke-method
) ;_ end of setq
out
)
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.